Skip to content
Ordinal
Esc
↑↓navigate↵open⌘Jpreview

Unarchive post

Restore an archived post from Trash. The post will no longer be scheduled for permanent deletion.

POST/posts/{id}/unarchive
Authorization
AuthorizationBearer token · headerrequired

API key authentication. Generate an API key from your workspace settings.

Path parameters
idstring<uuid>required

Post ID (UUID)

Responses
200

Post unarchived successfully

idstring<uuid>required

Post ID

workspaceIdstring<uuid>required

Workspace ID

archivedAtnullrequired

Always null for unarchived posts

401

Unauthorized - Missing or invalid API key

codestring
messagestring
404

Not Found - Resource does not exist

codestring
messagestring
Try it
Server
Authorization
Parameters
Request
curl -X POST 'https://app.tryordinal.com/api/v1/posts/497f6eca-6276-4993-bfeb-53cbbbba6f08/unarchive' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "workspaceId": "660e8400-e29b-41d4-a716-446655440000",
  "archivedAt": null
}